import request from '@/utils/request'

//获取订单列表
export function orderList(data) {
	return request({
		url: '/api/object.order/orderList',
		method: 'get',
		data
	});
}
//订单评论
export function cancel(data) {
	return request({
		url: '/api/object.order/cancel',
		method: 'post',
		data
	});
}
//二次支付
export function go_pay(data) {
	return request({
		url: '/api/object.order/go_pay',
		method: 'post',
		data
	});
}
//选择预约时间
export function setTime(data) {
	return request({
		url: '/api/object.order/setTime',
		method: 'post',
		data
	});
}
//病人确认完成
export function patientFinish(data) {
	return request({
		url: '/api/object.order/patientFinish',
		method: 'post',
		data
	});
}
//医生确认完成
export function doctorFinish(data) {
	return request({
		url: '/api/object.order/doctorFinish',
		method: 'post',
		data
	});
}
//订单评论
export function comment(data) {
	return request({
		url: '/api/object.order/comment',
		method: 'post',
		data
	});
}
//申请退款
export function refund(data) {
	return request({
		url: '/api/object.order/refund',
		method: 'post',
		data
	});
}
//取消退款
export function cancelRefund(data) {
	return request({
		url: '/api/object.order/cancelRefund',
		method: 'post',
		data
	});
}
//打赏
export function reward(data) {
	return request({
		url: '/api/object.order/reward',
		method: 'post',
		data
	});
}